{% extends 'base.html.twig' %} {% block product %}
<div class="container">
    <div class="row">
        {% for product in products %}

        <div class="col-3">

            <div class="card">
                <img class="card-img-top" src="{{ asset('uploads/article/' ~ product.imageName) }}" alt="{{product.name}}">
                <a href="{{path('single_product', {id:product.id})}}">
                    <h2>{{product.name}}</h2>
                </a>

                <p>{{product.price}}€</p>

                {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                <a class="btn-outline-dark btn" href="{{path('add_product_id', {'id': product.id})}}">Add Product</a>

                <div class="icone">
                    {# mettre une condition que l'admin doit être co pour suppr ou update#}
                    <a href="{{path('gestion_modif',{'id': product.id} ) }}"><i class="fas fa-edit"></i></a>
                    <a href="{{path('gestion_delete',{'id': product.id} ) }}"><i class="fas fa-trash-alt"></i></a>
                </div>

            </div>
            {% endif %}
        </div>

        {% endfor %} {% endblock product %}